﻿using System.ComponentModel;
using System.Runtime.CompilerServices;

namespace ComboBoxSample
{
    public class Item : INotifyPropertyChanged
    {
        public string ID
        {
            get { return iD; }
            set { iD = value; OnPropertyChanged(); }
        }

        public string Value
        {
            get { return value1; }
            set { value1 = value; OnPropertyChanged(); }
        }

        private string iD;
        private string value1;

        public event PropertyChangedEventHandler PropertyChanged;
        private void OnPropertyChanged([CallerMemberName] string propertyName = "")
        {
            this.PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}